point_predicate.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation(T)

## Functions

template<class T >
int | sign_orient2d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c)
template<class T >
int | sign_orient3d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c, const point_basic< T > &d)
template<class T >
T | orient2d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c)
template<class T >
T | orient3d (const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c, const point_basic< T > &d)

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T | ) |

Value:
template T orient2d ( \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&); \
template T orient3d ( \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&); \
template int sign_orient2d ( \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&); \
template int sign_orient3d ( \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&, \
const point_basic<T>&); \
T
Expr1::float_type T
Definition: field_expr.h:261
rheolef::orient2d
T orient2d(const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c)
Definition: point_predicate.cc:107
rheolef::orient3d
T orient3d(const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c, const point_basic< T > &d)
Definition: point_predicate.cc:124
rheolef::sign_orient3d
int sign_orient3d(const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c, const point_basic< T > &d)
Definition: point_predicate.cc:89
rheolef::sign_orient2d
int sign_orient2d(const point_basic< T > &a, const point_basic< T > &b, const point_basic< T > &c)
Definition: point_predicate.cc:72

Definition at line 142 of file point_predicate.cc.